<script language="JavaScript">

	var borderColorOn = '#000000';
	var borderColorOff = '#CEE5EF';
	var backgroundColorOn = '#B5BED6';
	var backgroundColorOff = '#CEE5EF';
	var backgroundColorDown = '#8492B5';

	function Init() {
		myEditor.document.designMode = 'On';
	}
  
	function selOn(ctrl) {
		ctrl.style.borderColor = borderColorOn;
		ctrl.style.backgroundColor = backgroundColorOn;
		ctrl.style.cursor = 'hand';	
	}
  
	function selOff(ctrl) {
		ctrl.style.borderColor = borderColorOff;  
		ctrl.style.backgroundColor = backgroundColorOff;
	}
  
	function selDown(ctrl) {
		ctrl.style.backgroundColor = backgroundColorDown;
	}
  
	function selUp(ctrl) {
		ctrl.style.backgroundColor = backgroundColorOn;
	}
  
</script>

<script language="JavaScript" type="text/javascript" src="Wysiwyg/Scripts/objects.js"></script>
<script language="JavaScript" type="text/javascript" src="Wysiwyg/Scripts/const.js"></script>
<table id="tblCtrls" width="100%" border="0" cellspacing="1" cellpadding="1">
	<tr>
		<td align="left" valign="top">
			<img name="butClass" alt="Save" class="butClass" src="Wysiwyg/image/save.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="saveFile()">

			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img name="butClass" alt="Copy" class="butClass" src="Wysiwyg/image/copy.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_COPY)">
			<img name="butClass" alt="Cut" class="butClass" src="Wysiwyg/image/cut.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_CUT)">
			<img name="butClass" alt="Paste" class="butClass" src="Wysiwyg/image/paste.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_PASTE)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img name="butClass" alt="Undo" class="butClass" src="Wysiwyg/image/undo.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_UNDO)">
			<img name="butClass" alt="Redo" class="butClass" src="Wysiwyg/image/redo.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_REDO)">
			<img name="butClass" alt="Delete" class="butClass" src="Wysiwyg/image/delete.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_DELETE)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img name="butClass" alt="Bold" class="butClass" src="Wysiwyg/image/bold.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_BOLD)">
			<img alt="Italic" class="butClass" src="Wysiwyg/image/italic.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_ITALIC)">
			<img alt="Underline" class="butClass" src="Wysiwyg/image/underline.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_UNDERLINE)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img alt="Left" class="butClass" src="Wysiwyg/image/left.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_JUSTIFYLEFT)">
			<img alt="Center" class="butClass" src="Wysiwyg/image/center.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_JUSTIFYCENTER)">
			<img alt="Right" class="butClass" src="Wysiwyg/image/right.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_JUSTIFYRIGHT)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img alt="Horizontal Rule" class="butClass" src="Wysiwyg/image/rule.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doLine()">

			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img alt="Form" class="butClass" src="Wysiwyg/image/form.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doForm()">
			<img alt="Dropdown box" class="butClass" src="Wysiwyg/image/select.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSelect()">
			<img alt="Textarea" class="butClass" src="Wysiwyg/image/textarea.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doArea()">
			<img alt="Text Box" class="butClass" src="Wysiwyg/image/textbox.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doTextBox()">
			<img alt="Check Box" class="butClass" src="Wysiwyg/image/checkbox.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doCheckBox()">
			<img alt="Radio Button" class="butClass" src="Wysiwyg/image/radio.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doRadio()">
			<img alt="Button" class="butClass" src="Wysiwyg/image/button.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doButton()">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img alt="Insert a table" class="butClass" src="Wysiwyg/image/table.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doTable()">
			<img alt="Edit a cell" class="butClass" src="Wysiwyg/image/cell.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doCell();">		
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
		</td>
	</tr>
	<tr>
		<td align="left" valign="top">
			<select name="cssList" id="cssList" class="s1" onChange="doChangeStyles(this.options[this.selectedIndex].value)">
				<option value="-1">-- Class --</option>
				<option value="-1">None</option>
			</select>
			<select name="selFont" id="selFont" class="s1" onChange="doFont(this.options[this.selectedIndex].value)">
		    	<option value="">-- Font --</option>
			    <option value="Arial">Arial</option>
			    <option value="Courier">Courier</option>
			    <option value="Sans Serif">Sans Serif</option>
		    	<option value="Tahoma">Tahoma</option>
			    <option value="Verdana">Verdana</option>
			    <option value="Wingdings">Wingdings</option>
			  </select>
			  <select name="selSize" class="s1" onChange="doSize(this.options[this.selectedIndex].value)">
			    <option value="">-- Size --</option>
			    <option value="1">Very Small</option>
		    	<option value="2">Small</option>
			    <option value="3">Medium</option>
			    <option value="4">Large</option>
			    <option value="5">Larger</option>
		    	<option value="6">Very Large</option>
			  </select>
			<img alt="Text Color" class="butClass" src="Wysiwyg/image/forecol.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doColor(CMD_SETFORECOLOR)">
			<img alt="Background Color" class="butClass" src="Wysiwyg/image/bgcol.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doColor(CMD_SETBACKCOLOR)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;

			<img alt="Ordered List" class="butClass" src="Wysiwyg/image/ordlist.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_ORDERLIST)">
			<img alt="Bulleted List" class="butClass" src="Wysiwyg/image/bullist.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_UNORDERLIST)">

			<img alt="Indent" class="butClass" src="Wysiwyg/image/indent.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_INDENT)">
			<img alt="Outdent" class="butClass" src="Wysiwyg/image/outdent.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doSimpleCommand(CMD_OUTDENT)">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			
			<img alt="Hyperlink" class="butClass" src="Wysiwyg/image/link.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doLink()">
			<img alt="Image" class="butClass" src="Wysiwyg/image/image.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doImage()">
			<img alt="Rollover effect" class="butClass" src="Wysiwyg/image/rollover.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doRollOver()">
			
			&nbsp;<span class="verticalLine"></span>&nbsp;
			<img alt="Flash" class="butClass" src="Wysiwyg/image/swf.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doFlash()">
			<img name="butClass" alt="Insert modules" class="butClass" src="Wysiwyg/image/modules.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doModules()">
			<!--<img alt="Cascade Style Sheet" class="butClass" src="Wysiwyg/image/css.gif" onMouseOver="selOn(this)" onMouseOut="selOff(this)" onMouseDown="selDown(this)" onMouseUp="selUp(this)" onClick="doCSS()">-->
			
			&nbsp;<span class="verticalLine"></span>&nbsp;

		</td>
	</tr>
	<tr>
		<td align="left" valign="top">
			<object id="myEditor" classid="clsid:2D360201-FFF5-11d1-8D03-00A0C959BC0A" style=" width: 100%; height: 350px; visibility:visible"></object>
			<object classid="clsid:47B0DFC7-B7A3-11D1-ADC5-006008A5848c" id="tblObject" style="width: 0px; height:0px; visibility:hidden"></object>
		</td>
	</tr>
</table>
<form name="file" method="post" target="file" action="Wysiwyg/include/saveFile.asp">
	<input type="hidden" name="pageID" value="<%= pageID %>">
	<input type="hidden" name="pageType" value="<%= pageType %>">
	<textarea name="htmlSource" id="htmlSource" style=" width:1px; height:1px; visibility:hidden"></textarea>
</form>

<script language="JavaScript" type="text/javascript" src="Wysiwyg/Scripts/commands.js"></script>
<script language="JavaScript" type="text/javascript" src="Wysiwyg/Scripts/commandsForm.js"></script>
<script>loadFile("<%= fileName %>");</script>
